GET
https://dev.yimmit.com/api/v3/liquidity/public/market_listGet Markets
GET api/v3/liquidity/public/market_list
Get all available markets list result as paginated.
Parameters
| Name | Type | Mandatory | Description |
|---|---|---|---|
| is_all | BOOLEAN | NO | If set to true, all markets will be returned and pagination will be ignored. |
| limit | INTEGER | NO | Limit the number of returned paginations. Defaults to 100. |
| page | INTEGER | NO | Specify the page of paginated results. |
Responses
- 200 Successful response
[
{
"id": "ethusdt",
"name": "ETH/USDT",
"base_currency_name": "Ethereum",
"quote_currency_name": "Tether",
"base_unit": "eth",
"quote_unit": "usdt",
"temporary_stop": false,
"min_price": "1500.0",
"max_price": "5140.0",
"min_amount": "0.0001",
"min_total": "6.0",
"amount_precision": 4,
"price_precision": 2,
"total_precision": 5,
"state": "enabled",
"release_time": null,
"trading_enabled": true,
"min_price_percentage": "30.0",
"max_price_percentage": "40.0",
"min_allowed": "1367.359",
"max_allowed": "2734.718"
},
{
"id": "ethbtc",
"name": "ETH/BTC",
"base_currency_name": "Ethereum",
"quote_currency_name": "Bitcoin",
"base_unit": "eth",
"quote_unit": "btc",
"temporary_stop": false,
"min_price": "0.00015",
"max_price": "0.15315",
"min_amount": "0.0002",
"min_total": "0.0002",
"amount_precision": 4,
"price_precision": 5,
"total_precision": 3,
"state": "enabled",
"release_time": null,
"trading_enabled": true,
"min_price_percentage": "5.0",
"max_price_percentage": "5.0",
"min_allowed": "0.02740707455524647073462331733591725",
"max_allowed": "0.03029202977158820449616261389759275"
},
{
"id": "trxusdt",
"name": "TRX/USDT",
"base_currency_name": "Tron",
"quote_currency_name": "Tether",
"base_unit": "trx",
"quote_unit": "usdt",
"temporary_stop": false,
"min_price": "1.7022",
"max_price": "2.3159",
"min_amount": "0.1",
"min_total": "6.0",
"amount_precision": 1,
"price_precision": 4,
"total_precision": 2,
"state": "enabled",
"release_time": null,
"trading_enabled": true,
"min_price_percentage": "0.0",
"max_price_percentage": "0.0",
"min_allowed": "0.2837",
"max_allowed": "0.2837"
},
{
"id": "btcusdt",
"name": "BTC/USDT",
"base_currency_name": "Bitcoin",
"quote_currency_name": "Tether",
"base_unit": "btc",
"quote_unit": "usdt",
"temporary_stop": false,
"min_price": "40000.0",
"max_price": "150000.0",
"min_amount": "0.00001",
"min_total": "6.0",
"amount_precision": 5,
"price_precision": 2,
"total_precision": 0,
"state": "enabled",
"release_time": null,
"trading_enabled": true,
"min_price_percentage": "0.0",
"max_price_percentage": "0.0",
"min_allowed": "67708.85",
"max_allowed": "67708.85"
},
{
"id": "btcusdc",
"name": "BTC/USDC",
"base_currency_name": "Bitcoin",
"quote_currency_name": "usdc",
"base_unit": "btc",
"quote_unit": "usdc",
"temporary_stop": false,
"min_price": "20550.2",
"max_price": "100129.85",
"min_amount": "0.00001",
"min_total": "7.0",
"amount_precision": 5,
"price_precision": 2,
"total_precision": 5,
"state": "enabled",
"release_time": null,
"trading_enabled": true,
"min_price_percentage": "50.0",
"max_price_percentage": "50.0",
"min_allowed": "33840.888644542183126749300279888",
"max_allowed": "101522.665933626549380247900839664"
},
{
"id": "ethusdc",
"name": "ETH/USDC",
"base_currency_name": "Ethereum",
"quote_currency_name": "usdc",
"base_unit": "eth",
"quote_unit": "usdc",
"temporary_stop": false,
"min_price": "1000.0",
"max_price": "5000.0",
"min_amount": "0.0001",
"min_total": "6.0",
"amount_precision": 4,
"price_precision": 2,
"total_precision": 3,
"state": "enabled",
"release_time": null,
"trading_enabled": true,
"min_price_percentage": "50.0",
"max_price_percentage": "50.0",
"min_allowed": "976.2944822071171531387445021991",
"max_allowed": "2928.8834466213514594162335065973"
},
{
"id": "bnbusdt",
"name": "BNB/USDT",
"base_currency_name": "Binance Coin",
"quote_currency_name": "Tether",
"base_unit": "bnb",
"quote_unit": "usdt",
"temporary_stop": false,
"min_price": "300.8",
"max_price": "1080.0",
"min_amount": "0.001",
"min_total": "6.0",
"amount_precision": 3,
"price_precision": 2,
"total_precision": 3,
"state": "enabled",
"release_time": null,
"trading_enabled": true,
"min_price_percentage": "0.0",
"max_price_percentage": "0.0",
"min_allowed": "611.68",
"max_allowed": "611.68"
}
]